---
title: "Validation Check For Fund Allocation"
url: "https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84/operations/fundAllocationValidation1"
---

> Full API specification: https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84.md

# Validation Check For Fund Allocation

`POST` `/policy/v1/transactions/{planCode}/{policyNumber}/fundallocations/validation`

Operation ID: `fundAllocationValidation1`

## Path parameters

- `planCode` (string, required)
- `policyNumber` (string, required)

## Request body (required)

Content types: `application/json`

## Responses

- `200` - Success
- `400` - Failure
- `500` - Unexpected error occured, please check server log

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Zinnia Policy Transactions API.
  version: 1.0.8
servers:
  - url: https://dev.api.zinnia.io
    description: DEV Environment
  - url: https://qa.api.zinnia.io
    description: QA Environment
paths:
  /policy/v1/transactions/{planCode}/{policyNumber}/fundallocations/validation:
    post:
      x-kong-plugin-pre-function:
        config:
          access:
            - >
              local path = kong.request.get_path()

              local new_path = path:gsub("^/policy/v1/transactions",
              "/bpm/v1/policies")

              kong.service.request.set_path(new_path)
      tags:
        - Financial Transactions
      summary: Validation Check For Fund Allocation
      operationId: fundAllocationValidation1
      parameters:
        - name: planCode
          in: path
          required: true
          schema:
            type: string
        - name: policyNumber
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/FundAllocationChangeRequest"
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/TransactionResponse"
              examples:
                success:
                  $ref: "#/components/examples/successTransactionResponsewithoutQuote"
        "400":
          description: Failure
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/TransactionResponse"
              examples:
                failure:
                  $ref: "#/components/examples/failureTransactionResponse"
        "500":
          description: Unexpected error occured, please check server log
      security:
        - Auth0: []
security:
  - Auth0: []
components:
  schemas:
    FundAllocationChangeRequest:
      type: object
      properties:
        caseId:
          type: string
          example: CA0000007389
          description: Zinnia Live Case ID
        correlationid:
          type: string
          example: 657b717b7dcf554abf9ef067
        effectiveDate:
          type: string
          format: date
          example: 2023-01-01
          description: Date when the transaction was originally scheduled or expected to
            happen. It can be a non-business day
        reverseInitiator:
          type: boolean
          description: Property to isolate source transaction(s) that initiated the reversal
        allocation:
          $ref: "#/components/schemas/FundAllocation"
      required:
        - effectiveDate
        - allocation
    TransactionResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - success
            - failure
        error:
          type: array
          items:
            $ref: "#/components/schemas/Error"
        quoteResponse:
          type: object
    FundAllocation:
      type: object
      properties:
        investmentType:
          $ref: "#/components/schemas/InvestmentType"
        modelId:
          type: string
          description: The corresponding Model Id of the elected model
          example: TBD
        fundAllocationsInvestments:
          type: array
          items:
            type: object
            properties:
              fundId:
                type: string
                description: TBD
                example: FundAccount1
              allocationPercentage:
                type: number
                format: double
                description: At Policy Level for Each Applicable Fund (Everly there is only one
                  Fixed) Therefore this be 100%
                example: 100
              startDate:
                type: string
                format: date
                description: TBD
                example: 2024-01-01
            required:
              - fundId
              - allocationPercentage
              - startDate
        allocationOption:
          $ref: "#/components/schemas/AllocationOption"
      required:
        - investmentType
        - fundAllocationsInvestments
    Error:
      type: object
      properties:
        errorCode:
          type: string
          example: BPM.NM.002
          description: This is the NIGO id generated by BPM system
        attribute:
          type: string
        error:
          type: string
          description: This is the error generated by BPM system
        resolution:
          type: string
          description: Resolution generated by BPM system to resolve the error
    InvestmentType:
      type: string
      enum:
        - INVESTMENTFUND
        - INVESTMENTMODEL
      description: TBD
    AllocationOption:
      type: string
      enum:
        - PRORATA
        - DOLLAR
        - SPECIFYPERCENTAGE
        - SPECIFIEDFUNDS
        - SPECIFIEDSEGMENTS
        - DEFAULT
        - PECKINGORDER
        - EARNINGSONLY
      description: Defines the format of how the funds are removed, i.e. dollar,
        percentage, pro-rata, etc.
  examples:
    successTransactionResponsewithoutQuote:
      value:
        status: success
    failureTransactionResponse:
      value:
        status: failure
        validationResult:
          - errorCode: BPM.NM.005
            attribute: null
            error: Amount request is invalid.
            resolution: Please check the One Time Premium Amount and submit the request
              again.
          - errorCode: BPM.NM.003
            attribute: null
            error: Party information does not match with information in the Zahara system.
            resolution: Please validate the party information and submit the request again.
  securitySchemes:
    Auth0:
      type: openIdConnect
      openIdConnectUrl: https://login.uat.zinnia.com/.well-known/openid-configuration
      x-kong-security-openid-connect:
        config:
          run_on_preflight: true
          scopes_claim:
            - https://uat.api.zinnia.io/permissions
          audience_claim:
            - aud
          audience_required:
            - https://uat.api.zinnia.io
          client_id:
            - client_id
          auth_methods:
            - bearer
        enabled: true
        protocols:
          - grpc
          - grpcs
          - http
          - https
```
